Bug 150771 - ghostscript broken on s390 and s390x
ghostscript broken on s390 and s390x
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
rawhide
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-10 08:36 EST by Tim Waugh
Modified: 2008-05-06 20:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:07:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2005-03-10 08:36:26 EST
Description of problem:
Try this:

gs -sDEVICE=bbox -dNOPAUSE -dBATCH /usr/share/ghostscript/7.07/examples/tiger.ps

Version-Release number of selected component (if applicable):
7.07-39

How reproducible:
100%

Steps to Reproduce:
1.gs -sDEVICE=bbox -dNOPAUSE -dBATCH /usr/share/ghostscript/7.07/examples/tiger.ps
  
Actual results:
Segmentation fault on s390; garbage output on s390x.

Expected results:
GNU Ghostscript 7.07 (2003-05-17)
Copyright (C) 2003 artofcode LLC, Benicia, CA.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Loading NimbusRomNo9L-Regu font from
/usr/share/fonts/default/Type1/n021003l.pfb... 2481536 1112429 1642520 351150 0
done.
Using NimbusRomanNo9L-Regu font for NimbusRomNo9L-Regu.
Loading NimbusSanL-Regu font from /usr/share/fonts/default/Type1/n019003l.pfb...
2856496 1456959 1682712 365686 0 done.
Using NimbusSansL-Regu font for NimbusSanL-Regu.
%%BoundingBox: 17 177 565 753
%%HiResBoundingBox: 17.248798 177.202937 564.310095 752.489015


Additional info:
Recompiling ghostscript at -O0 fixes it.  Recompiling at-O2 -fno-strict-aliasing
does not fix it.
Comment 1 Tim Waugh 2005-06-06 09:38:22 EDT
Still happens with 8.15-0.rc3.1.

gs -sDEVICE=bbox -dNOPAUSE -dBATCH /usr/share/ghostscript/8.15/examples/tiger.eps

8.15-0.rc3.2 will work around it again.
Comment 2 Bug Zapper 2008-04-03 11:53:33 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 20:07:06 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.